A date series

validatable

### Hierarchy

- SCDateSeriesWithoutReferences
- SCThingInPlace
  - SCDateSeries

## Index

### Properties

- alternateNames
- dates
- description
- duration
- event
- exceptions
- frequency
- image
- inPlace
- name
- offers
- origin
- performers
- translations
- type
- uid
- url

## Properties

### Optional alternateNames

alternateNames: string[]

Inherited from SCThing.alternateNames

Overrides SCThing.alternateNames

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1558

Alternate names of the thing

### dates

dates: SCISO8601Date[]

Inherited from SCDateSeriesWithoutReferences.dates

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2399

Dates of the date series that are initially planned to be held

### Optional description

description: undefined | string

Inherited from SCThing.description

Overrides SCThing.description

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1564

Description of the thing

minlength

  1

### duration

duration: SCISO8601Duration

Inherited from SCDateSeriesWithoutReferences.duration

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2403

Duration of the date series

### event

event: SCAcademicEventWithoutReferences | SCSportCourseWithoutReferences

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2430

Event to which the date series belongs

### Optional exceptions

exceptions: SCISO8601Date[]

Inherited from SCDateSeriesWithoutReferences.exceptions

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2407

Dates that where initially planned to be held but are cancelled

### frequency

frequency: string

Inherited from SCDateSeriesWithoutReferences.frequency

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2411

Frequency of the date series

### Optional image

image: undefined | string

Inherited from SCThing.image

Overrides SCThing.image

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1568

Image of the thing

### Optional inPlace

inPlace: SCBuildingWithoutReferences | SCPointOfInterestWithoutReferences | SCRoomWithoutReferences

Inherited from SCInPlace.inPlace

- Defined in node_modules/@openstapps/core/lib/index.d.ts:5020

Place the thing is or happens in

### name

name: string

Inherited from SCThing.name

Overrides SCThing.name

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1574

Name of the thing

minlength

  1

### Optional offers

offers: Array<SCThingThatCanBeOfferedOffer<SCSportCoursePriceGroup>>

Inherited from SCThingThatCanBeOffered.offers

- Defined in node_modules/@openstapps/core/lib/index.d.ts:609

List of offers for that thing

### origin

origin: SCThingRemoteOrigin | SCThingUserOrigin

Inherited from SCThing.origin

Overrides SCThing.origin

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1578

Origin of the thing

### Optional performers

performers: SCPersonWithoutReferences[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2434

Performers of the date series

### Optional translations

translations: SCTranslations<SCDateSeriesTranslatableProperties>

Overrides SCDateSeriesWithoutReferences.translations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2438

Translated properties

### type

type: DateSeries

Overrides SCDateSeriesWithoutReferences.type

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2442

Type of a date series

### uid

uid: SCUuid

Inherited from SCThing.uid

Overrides SCThing.uid

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1592

Universally unique identifier of the thing

### Optional url

url: undefined | string

Inherited from SCThing.url

Overrides SCThing.url

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1596

URL of the thing

Generated using TypeDoc